import { redirect } from 'next/navigation';

import { metadataModule } from '@/server/metadata';
import { translation } from '@/server/translation';
import { DynamicLayoutProps } from '@/types/next';
import { RouteVariants } from '@/utils/server/routeVariants';

import ApplicationSet from "./applicationset";
// import {Button} from "antd";


export const generateMetadata = async (props: DynamicLayoutProps) => {
  const locale = await RouteVariants.getLocale(props);
  const { t } = await translation('setting', locale);
  return metadataModule.generate({
    description: t('files.description'),
    title: t('files.title'),
    url: '/applicationset',
  });
};

const Page = async (props: DynamicLayoutProps) => {

  return (
      <ApplicationSet />
  );
};

Page.DisplayName = 'ApplicationSet';

export default Page;
